#!/bin/sh
#|
exec mzscheme -qr "$0" ${1+"$@"}
|#

(require "edb.ss")

(call-with-e-db-file "/tmp/test.edb" '(O-WRONLY O-CREAT)
  (lambda (e-db-file)
    (e-db-int-set e-db-file "test/int" 7)
    (e-db-float-set e-db-file "test/float" 7.3)
    (e-db-str-set e-db-file "test/str" "Siete coma 3")))

(with-handlers ([edb-error? (lambda (exn) (display (exn-message exn)) (newline))])
  (call-with-e-db-file "/tmp/test.edb" 'EDB-FILE-MODE-READ
    (lambda (e-db-file)
      (display (e-db-int-get e-db-file "test/int")) (newline)
      (display (e-db-float-get e-db-file "test/float")) (newline)
      (display (e-db-str-get e-db-file "test/str")) (newline))))
